pskc_get_key_algparm_resp_encoding(3)

NAME
pskc_get_key_algparm_resp_encoding - API function

SYNOPSIS
#include <pskc.h>

pskc_valueformat pskc_get_key_algparm_resp_encoding(pskc_key_t * key, int * present);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

int * present
    output variable indicating whether data was provided or not.

DESCRIPTION
Get the PSKC KeyPackage Key AlgorithmParameters ResponseFormat Encoding value. This attribute defines the encoding of the response generated by the device, it MUST be included.

If present is non-NULL, it will be 0 if the field is not present or 1 if it was present.

RETURNS
an pskc_valueformat value

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.